Subject: Re: [PATCH 2/2] powerpc/85xx: create 32-bit DTS for the P1022DS

From: Scott Wood <[email-masked]>
Date: Thu, 8 Dec 2011 11:51:17 -0600

On 12/07/2011 07:05 PM, Tabi Timur-B04825 wrote:
> Scott Wood wrote:
>>> +			interrupts =<8 8 0 0>;
>>>>  +		};
>> It's not new to this patch, but... what does "8" mean in the second cell
>> of an mpic interrupt specifier?
> 
> I have no idea.

Valid values are 0 through 3.

>> And why does the indirect pixis node
>> not have the interrupt?
> 
> Hmmm... I suppose I could add it, but I don't know what good it would do. 
>   The code that's looking for the interrupt is probing on "fsl,p1022ds-fpga".

Is there a reason why this functionality couldn't be used in indirect
mode?  The device tree describes the hardware, not the limitations of
current Linux support.

-Scott